/*
  +----------------------------------------------------------------------+
  | Copyright (c) The PHP Group                                          |
  +----------------------------------------------------------------------+
  | This source file is subject to version 3.01 of the PHP license,      |
  | that is bundled with this package in the file LICENSE, and is        |
  | available through the world-wide-web at the following url:           |
  | http://www.php.net/license/3_01.txt                                  |
  | If you did not receive a copy of the PHP license and are unable to   |
  | obtain it through the world-wide-web, please send a note to          |
  | license@php.net so we can mail you a copy immediately.               |
  +----------------------------------------------------------------------+
  | Authors: Rafal Somla <rafal.somla@oracle.com>                        |
  +----------------------------------------------------------------------+
*/

#include "php_mysqlnd_krb.h"


/* {{{ PHP_MINIT_FUNCTION */
static PHP_MINIT_FUNCTION(mysqlnd_krb)
{
	//REGISTER_INI_ENTRIES();
	mysqlnd_plugin_register_ex(mysqlnd_kerberos_auth_plugin());
	return SUCCESS;
}
/* }}} */


/* {{{ PHP_MSHUTDOWN_FUNCTION */
static PHP_MSHUTDOWN_FUNCTION(mysqlnd_krb)
{
	// UNREGISTER_INI_ENTRIES();
	return SUCCESS;
}
/* }}} */


static const zend_module_dep mysqlnd_krb_deps[] = {
	ZEND_MOD_REQUIRED("standard")
	ZEND_MOD_REQUIRED("mysqlnd")
	ZEND_MOD_END
};

/* {{{ mysqlnd_module_entry */
zend_module_entry mysqlnd_krb_module_entry = {
	STANDARD_MODULE_HEADER_EX,
	NULL,
	mysqlnd_krb_deps,
	"mysqlnd_krb",
	NULL,
	PHP_MINIT(mysqlnd_krb),
	PHP_MSHUTDOWN(mysqlnd_krb),
	NULL,
	NULL,
	NULL, //PHP_MINFO(mysqlnd),
	PHP_MYSQLND_KRB_VERSION,
  0, NULL, //PHP_MODULE_GLOBALS(mysqlnd),
	NULL, //PHP_GINIT(mysqlnd),
	NULL,
	NULL,
	STANDARD_MODULE_PROPERTIES_EX
};
/* }}} */


#ifdef ZTS
ZEND_TSRMLS_CACHE_DEFINE()
#endif
ZEND_GET_MODULE(mysqlnd_krb)
